Page MenuHomePhabricator

CiteThisPage should not show error message before I do anything
Closed, ResolvedPublicBUG REPORT

Description

Open https://en.wikipedia.org/wiki/Special:CiteThisPage or similar special page on a wiki where CiteThisPage extension is enabled.

Observe two error messages saying there are problems with your input. But I did not not input anything for the form to validate.

Expected

The form should not show any error message until if I click the submit button without supplying the required values

Event Timeline

Ammarpad created this task.Nov 16 2019, 6:23 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptNov 16 2019, 6:23 AM
Ammarpad updated the task description. (Show Details)Nov 16 2019, 6:24 AM
Masumrezarock100 changed the subtype of this task from "Task" to "Bug Report".

Change 551316 had a related patch set uploaded (by Sohom Datta; owner: Sohom Datta):
[mediawiki/extensions/CiteThisPage@master] Stopped form from showing errors without input

https://gerrit.wikimedia.org/r/551316

Soda claimed this task.Nov 16 2019, 5:53 PM
Soda added a comment.EditedNov 17 2019, 5:24 AM

Okay, same sort of bug also happens at Special:ChangeContentModel.


Edit : Reported the bug in T238486

Error messages are still shown on wikipedias: https://en.wikipedia.org/wiki/Special:CiteThisPage

Error messages are still shown on wikipedias: https://en.wikipedia.org/wiki/Special:CiteThisPage

@Framawiki Patch isn't merged still.

Change 551316 merged by jenkins-bot:
[mediawiki/extensions/CiteThisPage@master] Add setFormIdentifier to prevent validation errors

https://gerrit.wikimedia.org/r/551316

matmarex closed this task as Resolved.Mar 3 2020, 9:29 PM

Thanks! Sorry I didn't look at the patch earlier.